Current filter:
                                You should refresh the page.
                                  • I have a MVC project that I just upgraded from 19.1.0.0 to 19.1.6 and now NONE of the DevExtreme HtmlHelper controls are rendering.

                                    I also upgraded DevExtreme.AspNet.Data to  2.0.0 to 2.5.1

                                    HELP!
                                    Thanks,
                                    Monique

                                • Customer59080 10.10.2019

                                  When I revert back to 19.1.0.0 for DevExtreme.AspNet.Mvc & 2.0.0 for DevExtreme.AspNet.Data everything works fine again. Is DevExtreme.AspNet.Mvc 19.1.6 not ready for prime yet? Or is it the DevExtreme.AspNet.Data 2.5.1 that is the problem?  I guess for the time being I will NOT upgrade to the newer versions.

                                1 Solution

                                Creation Date Importance Sort by

                                Hi,

                                I have prepared a small code example that uses the latest versions of our libraries included in the standard DevExpressDevExtremeSetup-19.1.6 installation. According to my test, everything operates correctly. Please check the sample I attached to see if it operates correctly on your side too.

                                Generally, you can use our Project Templates to create a pre-configured sample. It should contain the valid references of all the required libraries installed along with our components. If this does not help you, provide us with the problematic sample where the issue is replicated. Thank you for your time and cooperation in advance.

                                Thanks,
                                Alessandro

                                • Customer59080 10.10.2019

                                  Thanks for your quick reply!  I can run the app you supplied locally. However, I cannot seem to populate the dxSelectBox in the same way I populate them in my original app. Could you please take a look?

                                  As for converting my original app from 19.1.0.0 to 19.1.6...still no luck. I compared the references with yours and mine but nothing stands out. I'll compare the Content & Script folders as well. I'll keep you posted...

                                • Alessandro (DevExpress Support) 10.11.2019

                                  Hi,

                                  Thank you for your sample. Its references are correct. The issue with SelectBox is caused by the " 401 (Unauthorized)" error. You can see it in the browser's console:

                                  T822340.png

                                  So, I recommend that you remove the Authorize attribute from the DDLItems action method to avoid this issue.